{if !empty($featured_companies)}
	<div class="ia-items yellowpages-latest-pages">
		<div class="row-fluid">
			{foreach $featured_companies as $page}
				<div class="span3">
					<div class="media ia-item ia-item-bordered-bottom">
						<a class="pull-left" href="{ia_url item='ypages' type='url' data=$page}">
							{printImage imgfile=$page.image.path|default:'' title=$page.title class='media-object'}
						</a>
						<div class="media-body">
							{ia_hooker name='smartyItemBlockBeforeTitle'}		
							<h5 class="media-heading">{ia_url type='link' item='ypages' data=$page text=$page.title}</h5>
							<p class="ia-item-date">{$page.description|strip_tags|truncate:200:'...'}</p>
							<p class="ia-item-date">
								<i class="icon-map-marker"></i> {$page.address},
								{ia_url item='ylocs' type='link' data=$page text=$page.location}
								{if !empty($page.zipcode)}, {$page.zipcode}{/if}
							</p>
							<p class="ia-item-date" style="color:#333;"><i class="icon-phone"></i> {$page.phone}</p>
						</div>
					</div>
				</div>
				{if $page@iteration == 4}
					{break}
				{/if}
			{/foreach}
		</div>
	</div>
{/if}