{if isset($news) && $news}
	<div class="panel panel--clean">
		<a href="{$smarty.const.IA_URL}news/" class="btn btn-primary btn-block">{lang key='view_all_news'}</a>
	</div>
	<div class="ia-items latest-news">
		{foreach $news as $entry}
			<div class="media ia-item ia-item-bordered-bottom">
				{if $entry.image}
					<a href="{$smarty.const.IA_URL}news/{$entry.id}-{$entry.alias}" class="media-object">{printImage imgfile=$entry.image title=$entry.title width=150}</a>
				{/if}

				<div class="media-body">
					<h5 class="media-heading">
						<a href="{$smarty.const.IA_URL}news/{$entry.id}-{$entry.alias}" id="news_{$entry.id}">{$entry.title}</a>
					</h5>
					<p class="ia-item-date"><i class="icon-calendar"></i> {$entry.date|date_format:$config.date_format}</p>
					<p class="ia-item-body">{$entry.body|strip_tags|truncate:$config.news_max_block:'...'}</p>
				</div>
			</div>
		{/foreach}
	</div>
{/if}